> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1businesses appsinstallations



## OpenAPI

````yaml /api-reference/openapi.json get /v1/businesses/{businessId}/apps/installations
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/apps/installations:
    get:
      tags:
        - BusinessAppInstallations
      operationId: ListInstallationsAsync
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: page
          in: query
          schema:
            type: integer
            format: int32
            default: 1
        - name: pageSize
          in: query
          schema:
            type: integer
            format: int32
            default: 50
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKDTOCoreSBListOfIntegrationResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKAspNetCoreModelsErrorsSBErrorResult
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKAspNetCoreModelsErrorsSBErrorResult
components:
  schemas:
    SmartbillsSDKDTOCoreSBListOfIntegrationResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/IntegrationsIntegrationResponse'
          nullable: true
        pagination:
          $ref: '#/components/schemas/SmartbillsSDKDTOCorePaginationMetadata'
      additionalProperties: false
    SmartbillsSDKAspNetCoreModelsErrorsSBErrorResult:
      type: object
      additionalProperties: false
    IntegrationsIntegrationResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        applicationId:
          type: integer
          format: int64
        application:
          $ref: '#/components/schemas/ApplicationsMarketplaceApp'
        installationId:
          type: string
          format: uuid
        externalId:
          type: string
          nullable: true
        businessId:
          type: integer
          format: int64
          nullable: true
        isInstalled:
          type: boolean
        status:
          $ref: '#/components/schemas/ModelsIntegrationsInstallationStatus'
        errorMessage:
          type: string
          nullable: true
        appUrl:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    SmartbillsSDKDTOCorePaginationMetadata:
      type: object
      properties:
        count:
          type: integer
          format: int32
        pageCount:
          type: integer
          format: int32
        currentPage:
          type: integer
          format: int32
        limit:
          type: integer
          format: int32
      additionalProperties: false
    ApplicationsMarketplaceApp:
      type: object
      properties:
        id:
          type: integer
          format: int64
        locale:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        shortDescription:
          type: string
          nullable: true
        slug:
          type: string
          nullable: true
        clientId:
          type: string
          nullable: true
        categories:
          type: array
          items:
            type: string
          nullable: true
        privacyPolicyUrl:
          type: string
          nullable: true
        termsAndConditionsUrl:
          type: string
          nullable: true
        revokeUrl:
          type: string
          nullable: true
        callbackUrl:
          type: string
          nullable: true
        appUrl:
          type: string
          nullable: true
        websiteUrl:
          type: string
          nullable: true
        developper:
          type: string
          nullable: true
        isPublic:
          type: boolean
        support:
          $ref: '#/components/schemas/ApplicationsMarketplaceAppSupport'
        scopes:
          type: array
          items:
            type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    ModelsIntegrationsInstallationStatus:
      enum:
        - NOT_STARTED
        - AUTHORIZE_STARTED
        - TOKEN_EXCHANGED
        - COMPLETED
        - FAILED
        - ABANDONED
      type: string
    ApplicationsMarketplaceAppSupport:
      type: object
      properties:
        supportWebsiteUrl:
          type: string
          nullable: true
        supportEmail:
          type: string
          nullable: true
        supportPhone:
          type: string
          nullable: true
      additionalProperties: false

````